Package be.e_contract.ejsf.component.jmsinfo

# Class JmsInfoComponent

java.lang.Object
javax.faces.component.UIComponent
javax.faces.component.UIComponentBase
be.e_contract.ejsf.component.jmsinfo.JmsInfoComponent

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.behavior.ClientBehaviorHolder`, `javax.faces.component.NamingContainer`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.component.TransientStateHolder`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListenerHolder`, `org.primefaces.component.api.Widget`

public class JmsInfoComponent extends javax.faces.component.UIComponentBase implements javax.faces.component.NamingContainer, javax.faces.component.behavior.ClientBehaviorHolder, org.primefaces.component.api.Widget

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_TYPE`

### Fields inherited from class javax.faces.component.UIComponent

`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

### Fields inherited from interface javax.faces.component.NamingContainer

`SEPARATOR_CHAR`

### Fields inherited from interface org.primefaces.component.api.Widget

`ATTR_WIDGET_VAR_PATTERN, CALLBACK_POST_CONSTRUCT, CALLBACK_POST_REFRESH, CALLBACK_PRE_DESTROY`

## Constructor Summary

Constructors
Constructor
Description
`JmsInfoComponent()`

## Method Summary

Modifier and Type
Method
Description
`void`
`decode(javax.faces.context.FacesContext context)`
`void`
`encodeBegin(javax.faces.context.FacesContext context)`
`void`
`encodeEnd(javax.faces.context.FacesContext context)`
`Integer`
`getConsumerCount()`
`String`
`getDeadLetterAddress()`
`String`
`getDefaultEventName()`
`Integer`
`getDeliveringCount()`
`Collection<String>`
`getEventNames()`
`String`
`getExpiryAddress()`
`String`
`getFamily()`
`List<JmsMessage>`
`getJmsMessages()`
`Long`
`getMessageCount()`
`Long`
`getMessagesAdded()`
`String`
`getQueueAddress()`
`org.primefaces.component.commandbutton.CommandButton`
`getRemoveButton()`
`org.primefaces.component.commandbutton.CommandButton`
`getReplayButton()`
`javax.faces.component.UIOutput`
`getTimestamp()`
`boolean`
`isActionsRendered()`
`boolean`
`isError()`
`boolean`
`isRemoveRendered()`
`boolean`
`isReplayRendered()`
`void`
`loadData()`
`void`
`processDecodes(javax.faces.context.FacesContext fc)`
`void`
`processEvent(javax.faces.event.ComponentSystemEvent event)`
`void`
`processUpdates(javax.faces.context.FacesContext fc)`
`void`
`processValidators(javax.faces.context.FacesContext fc)`
`void`
`queueEvent(javax.faces.event.FacesEvent facesEvent)`
`void`
`refresh()`
`void`
`removeMessage(JmsMessage jmsMessage)`
`void`
`replayMessage(JmsMessage jmsMessage)`
`void`
`setConsumerCount(int consumerCount)`
`void`
`setDeadLetterAddress(String deadLetterAddress)`
`void`
`setDeliveringCount(int deliveryCount)`
`void`
`setError(boolean error)`
`void`
`setExpiryAddress(String expiryAddress)`
`void`
`setJmsMessages(List<JmsMessage> jmsMessages)`
`void`
`setMessageCount(long messageCount)`
`void`
`setMessagesAdded(long messagesAdded)`
`void`
`setQueueAddress(String queueAddress)`
`void`
`setRemoveButton(org.primefaces.component.commandbutton.CommandButton removeButton)`
`void`
`setReplayButton(org.primefaces.component.commandbutton.CommandButton replayButton)`
`void`
`setTimestamp(javax.faces.component.UIOutput timestamp)`

### Methods inherited from class javax.faces.component.UIComponentBase

`addClientBehavior, addFacesListener, broadcast, clearInitialState, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

### Methods inherited from class javax.faces.component.UIComponent

`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

`addClientBehavior, getClientBehaviors`

### Methods inherited from interface org.primefaces.component.api.Widget

`resolveWidgetVar, resolveWidgetVar`

## Field Details

### COMPONENT_TYPE

public static final String COMPONENT_TYPE

See Also:
  - Constant Field Values

## Constructor Details

### JmsInfoComponent

public JmsInfoComponent()

## Method Details

### getFamily

public String getFamily()

Specified by:
  `getFamily` in class `javax.faces.component.UIComponent`

### getReplayButton

public org.primefaces.component.commandbutton.CommandButton getReplayButton()

### setReplayButton

public void setReplayButton(org.primefaces.component.commandbutton.CommandButton replayButton)

### getRemoveButton

public org.primefaces.component.commandbutton.CommandButton getRemoveButton()

### setRemoveButton

public void setRemoveButton(org.primefaces.component.commandbutton.CommandButton removeButton)

### getTimestamp

public javax.faces.component.UIOutput getTimestamp()

### setTimestamp

public void setTimestamp(javax.faces.component.UIOutput timestamp)

### encodeBegin

public void encodeBegin(javax.faces.context.FacesContext context) throws IOException

Overrides:
  `encodeBegin` in class `javax.faces.component.UIComponentBase`
Throws:
  `IOException`

### encodeEnd

public void encodeEnd(javax.faces.context.FacesContext context) throws IOException

Overrides:
  `encodeEnd` in class `javax.faces.component.UIComponentBase`
Throws:
  `IOException`

### decode

public void decode(javax.faces.context.FacesContext context)

Overrides:
  `decode` in class `javax.faces.component.UIComponentBase`

### setMessageCount

public void setMessageCount(long messageCount)

### getMessageCount

public Long getMessageCount()

### setConsumerCount

public void setConsumerCount(int consumerCount)

### getConsumerCount

public Integer getConsumerCount()

### setMessagesAdded

public void setMessagesAdded(long messagesAdded)

### getMessagesAdded

public Long getMessagesAdded()

### setDeliveringCount

public void setDeliveringCount(int deliveryCount)

### getDeliveringCount

public Integer getDeliveringCount()

### setDeadLetterAddress

public void setDeadLetterAddress(String deadLetterAddress)

### getDeadLetterAddress

public String getDeadLetterAddress()

### setExpiryAddress

public void setExpiryAddress(String expiryAddress)

### getExpiryAddress

public String getExpiryAddress()

### setQueueAddress

public void setQueueAddress(String queueAddress)

### getQueueAddress

public String getQueueAddress()

### loadData

public void loadData()

### isError

public boolean isError()

### setError

public void setError(boolean error)

### getJmsMessages

public List<JmsMessage> getJmsMessages()

### setJmsMessages

public void setJmsMessages(List<JmsMessage> jmsMessages)

### isActionsRendered

public boolean isActionsRendered()

### isReplayRendered

public boolean isReplayRendered()

### isRemoveRendered

public boolean isRemoveRendered()

### replayMessage

public void replayMessage(JmsMessage jmsMessage)

### removeMessage

public void removeMessage(JmsMessage jmsMessage)

### refresh

public void refresh()

### getEventNames

public Collection<String> getEventNames()

Specified by:
  `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
Overrides:
  `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

public String getDefaultEventName()

Specified by:
  `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
Overrides:
  `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### processDecodes

public void processDecodes(javax.faces.context.FacesContext fc)

Overrides:
  `processDecodes` in class `javax.faces.component.UIComponentBase`

### processValidators

public void processValidators(javax.faces.context.FacesContext fc)

Overrides:
  `processValidators` in class `javax.faces.component.UIComponentBase`

### processUpdates

public void processUpdates(javax.faces.context.FacesContext fc)

Overrides:
  `processUpdates` in class `javax.faces.component.UIComponentBase`

### queueEvent

public void queueEvent(javax.faces.event.FacesEvent facesEvent)

Overrides:
  `queueEvent` in class `javax.faces.component.UIComponentBase`

### processEvent

public void processEvent(javax.faces.event.ComponentSystemEvent event) throws javax.faces.event.AbortProcessingException

Specified by:
  `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`
Overrides:
  `processEvent` in class `javax.faces.component.UIComponent`
Throws:
  `javax.faces.event.AbortProcessingException`